Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Interface Flushable

All Known Subinterfaces:
  JavaFileManager, StandardJavaFileManager

All Known Implementing Classes:
  BufferedOutputStream, BufferedWriter, ByteArrayOutputStream, CharArrayWriter, CheckedOutputStream, CipherOutputStream, Console, DataOutputStream, DeflaterOutputStream, DigestOutputStream, FileOutputStream, FileWriter, FilterOutputStream, FilterWriter, Formatter, ForwardingJavaFileManager, GZIPOutputStream, InflaterOutputStream, JarOutputStream, LogStream, ObjectOutputStream, OutputStream, OutputStream, OutputStream, OutputStreamWriter, PipedOutputStream, PipedWriter, PrintStream, PrintWriter, StringWriter, Writer, ZipOutputStream

    public interface Flushable

A `Flushable` is a destination of data that can be flushed. The flush method is invoked to write any buffered output to the underlying stream.

Since:
  1.5

Method Summary
`void` | `flush()` Flushes this stream by writing any buffered output to the underlying stream.

Method Detail

### flush

    void flush()
               throws IOException

  Flushes this stream by writing any buffered output to the underlying stream.

  Throws:
    `IOException` - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.